summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHarald Hoyer <harald@redhat.com>2013-07-31 10:59:25 +0200
committerHarald Hoyer <harald@redhat.com>2013-07-31 10:59:25 +0200
commitaa23dcd8ae0a11fac507cc331e8725e2b7d302a4 (patch)
tree73fbb22bf2bf1602f7376b373bbceda5e0c801ad
parent5bbbfeaf194a2ee14d9cb6c632a7e81694fe9355 (diff)
downloaddracut-aa23dcd8ae0a11fac507cc331e8725e2b7d302a4.tar.gz
dracut-aa23dcd8ae0a11fac507cc331e8725e2b7d302a4.tar.bz2
dracut-aa23dcd8ae0a11fac507cc331e8725e2b7d302a4.zip
TEST-50-MULTINIC: change interface names to ens*
-rwxr-xr-xtest/TEST-50-MULTINIC/test.sh18
1 files changed, 9 insertions, 9 deletions
diff --git a/test/TEST-50-MULTINIC/test.sh b/test/TEST-50-MULTINIC/test.sh
index ff2a1b37..6e991d35 100755
--- a/test/TEST-50-MULTINIC/test.sh
+++ b/test/TEST-50-MULTINIC/test.sh
@@ -97,31 +97,31 @@ test_client() {
client_test "MULTINIC root=nfs BOOTIF=" \
00 01 02 \
"root=nfs:192.168.50.1:/nfs/client BOOTIF=52-54-00-12-34-00" \
- "eth0" || return 1
+ "ens3" || return 1
# PXE Style BOOTIF= with dhcp root-path
client_test "MULTINIC root=dhcp BOOTIF=" \
00 01 02 \
"root=dhcp BOOTIF=52-54-00-12-34-02" \
- "eth2" || return 1
+ "ens5" || return 1
# Multinic case, where only one nic works
client_test "MULTINIC root=nfs ip=dhcp" \
FF 00 FE \
"root=nfs:192.168.50.1:/nfs/client ip=dhcp" \
- "eth1" || return 1
+ "ens4" || return 1
# Require two interfaces
- client_test "MULTINIC root=nfs ip=eth1:dhcp ip=eth2:dhcp bootdev=eth1" \
+ client_test "MULTINIC root=nfs ip=ens4:dhcp ip=ens5:dhcp bootdev=ens4" \
00 01 02 \
- "root=nfs:192.168.50.1:/nfs/client ip=eth1:dhcp ip=eth2:dhcp bootdev=eth1" \
- "eth1 eth2" || return 1
+ "root=nfs:192.168.50.1:/nfs/client ip=ens4:dhcp ip=ens5:dhcp bootdev=ens4" \
+ "ens4 ens5" || return 1
# Require three interfaces with dhcp root-path
- client_test "MULTINIC root=dhcp ip=eth0:dhcp ip=eth1:dhcp ip=eth2:dhcp bootdev=eth2" \
+ client_test "MULTINIC root=dhcp ip=ens3:dhcp ip=ens4:dhcp ip=ens5:dhcp bootdev=ens5" \
00 01 02 \
- "root=dhcp ip=eth0:dhcp ip=eth1:dhcp ip=eth2:dhcp bootdev=eth2" \
- "eth0 eth1 eth2" || return 1
+ "root=dhcp ip=ens3:dhcp ip=ens4:dhcp ip=ens5:dhcp bootdev=ens5" \
+ "ens3 ens4 ens5" || return 1
kill_server
return 0